Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Create image

POST/images/generations

Creates an image given a prompt using a GPT Image model. Learn more.

Body ParametersJSONExpand Collapse
model: string or ImageModel

The GPT image model to use for image generation. Specify a model explicitly. Supported models include gpt-image-1, gpt-image-1-mini, gpt-image-1.5, gpt-image-2, gpt-image-2-2026-04-21, gpt-image-2.5-sunburst, gpt-image-2.5-sunburst-2026-09-08, gpt-image-2.5-flare, gpt-image-2.5-flare-2026-09-08, and chatgpt-image-latest.

One of the following:
string
ImageModel = "gpt-image-1.5" or "gpt-image-2" or "gpt-image-2-2026-04-21" or 9 more
One of the following:
"gpt-image-1.5"
"gpt-image-2"
"gpt-image-2-2026-04-21"
"gpt-image-2.5-sunburst"
"gpt-image-2.5-sunburst-2026-09-08"
"gpt-image-2.5-flare"
"gpt-image-2.5-flare-2026-09-08"
"gpt-image-1"
"gpt-image-1-mini"
"chatgpt-image-latest"
"dall-e-2"

Deprecated. This model was retired on May 12, 2026. Use a GPT image model instead.

"dall-e-3"

Deprecated. This model was retired on May 12, 2026. Use a GPT image model instead.

prompt: string

A text description of the desired image(s). The maximum length is 32000 characters.

background: optional "transparent" or "opaque" or "auto" or null

Set the background of the generated image(s). This parameter is only supported for the GPT image models. Must be one of transparent, opaque, or auto (default value). When auto is used, the model will automatically determine the best background for the image.

gpt-image-2.5-sunburst and gpt-image-2.5-flare, including their 2026-09-08 snapshots, support opaque and transparent backgrounds. Transparent backgrounds are available for supported GPT Image models. For gpt-image-2 and gpt-image-2-2026-04-21, this support is in preview. When using transparent, set the output format to png or webp.

One of the following:
"transparent"
"opaque"
"auto"
moderation: optional "low" or "auto" or null

Control the content-moderation level for images generated by the GPT image models. Must be either low for less restrictive filtering or auto (default value).

One of the following:
"low"
"auto"
n: optional number or null

The number of images to generate. Must be between 1 and 10.

minimum1
maximum10
output_compression: optional number or null

The compression level (0-100%) for the generated images. This parameter is only supported for the GPT image models with the webp or jpeg output formats, and defaults to 100.

output_format: optional "png" or "jpeg" or "webp" or null

The format in which the generated images are returned. This parameter is only supported for the GPT image models. Must be one of png, jpeg, or webp.

One of the following:
"png"
"jpeg"
"webp"
partial_images: optional number or null

The number of partial images to generate. This parameter is used for streaming responses that return partial images. Value must be between 0 and 3. When set to 0, the response will be a single image sent in one streaming event.

Note that the final image may be sent before the full number of partial images are generated if the full image is generated more quickly.

minimum0
maximum3
quality: optional "low" or "medium" or "high" or 5 more or null

The quality of the image that will be generated.

  • auto (default value) will automatically select the best quality for the given model.
  • high, medium and low are supported for the GPT image models.
  • gpt-image-2.5-sunburst and gpt-image-2.5-flare, including their 2026-09-08 snapshots, also support xhigh and max.
One of the following:
"low"
"medium"
"high"
"xhigh"
"max"
"auto"
"standard"

Deprecated. This quality was only supported by retired DALL·E models. Use a GPT image quality instead.

"hd"

Deprecated. This quality was only supported by retired DALL·E models. Use a GPT image quality instead.

response_format: optional "url" or "b64_json" or null

Deprecated.

Legacy response format parameter for retired image models. Unsupported for GPT image models, which always return base64-encoded images.

One of the following:
"url"
"b64_json"
size: optional string or "auto" or "1024x1024" or "1536x1024" or 5 more or null

The size of the generated images. For gpt-image-2, gpt-image-2-2026-04-21, gpt-image-2.5-sunburst, gpt-image-2.5-sunburst-2026-09-08, gpt-image-2.5-flare, and gpt-image-2.5-flare-2026-09-08, arbitrary resolutions are supported as WIDTHxHEIGHT strings, for example 1536x864. Width and height must both be divisible by 16 and the requested aspect ratio must be between 1:3 and 3:1. Resolutions above 2560x1440 are experimental, and the maximum supported resolution is 3840x2160. The requested size must also satisfy the model’s current pixel and edge limits. The standard sizes 1024x1024, 1536x1024, and 1024x1536 are supported by the GPT image models; auto is supported for models that allow automatic sizing.

One of the following:
string
"auto" or "1024x1024" or "1536x1024" or 5 more

The size of the generated images. For gpt-image-2, gpt-image-2-2026-04-21, gpt-image-2.5-sunburst, gpt-image-2.5-sunburst-2026-09-08, gpt-image-2.5-flare, and gpt-image-2.5-flare-2026-09-08, arbitrary resolutions are supported as WIDTHxHEIGHT strings, for example 1536x864. Width and height must both be divisible by 16 and the requested aspect ratio must be between 1:3 and 3:1. Resolutions above 2560x1440 are experimental, and the maximum supported resolution is 3840x2160. The requested size must also satisfy the model’s current pixel and edge limits. The standard sizes 1024x1024, 1536x1024, and 1024x1536 are supported by the GPT image models; auto is supported for models that allow automatic sizing.

One of the following:
"auto"
"1024x1024"
"1536x1024"
"1024x1536"
"256x256"

Deprecated. This legacy size suggestion is retained for SDK compatibility. Check the selected GPT image model’s supported sizes.

"512x512"

Deprecated. This legacy size suggestion is retained for SDK compatibility. Check the selected GPT image model’s supported sizes.

"1792x1024"

Deprecated. This legacy size suggestion is retained for SDK compatibility. Check the selected GPT image model’s supported sizes.

"1024x1792"

Deprecated. This legacy size suggestion is retained for SDK compatibility. Check the selected GPT image model’s supported sizes.

stream: optional boolean or null

Generate the image in streaming mode. Defaults to false. See the Image generation guide for more information. This parameter is only supported for the GPT image models.

style: optional "vivid" or "natural" or null

Deprecated.

Legacy style parameter for retired image models. Unsupported for GPT image models; describe the desired style in the prompt instead.

One of the following:
"vivid"
"natural"
user: optional string

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.

ReturnsExpand Collapse
ImagesResponse object { created, background, data, 4 more }

The response from the image generation endpoint.

created: number

The Unix timestamp (in seconds) of when the image was created.

formatunixtime
background: optional "transparent" or "opaque"

The background parameter used for the image generation. Either transparent or opaque.

One of the following:
"transparent"
"opaque"
data: optional array of Image { b64_json, revised_prompt, url }

The list of generated images.

b64_json: optional string

The base64-encoded JSON of the generated image. Returned by default for GPT image models, or when response_format is set to b64_json for models that support that parameter.

revised_prompt: optional string

The revised prompt used to generate the image, for models that support prompt revision. Not returned by GPT image models.

url: optional string

The URL of the generated image when response_format is set to url for models that support that parameter. Unsupported for GPT image models.

formaturi
output_format: optional "png" or "webp" or "jpeg"

The output format of the image generation. Either png, webp, or jpeg.

One of the following:
"png"
"webp"
"jpeg"
quality: optional "low" or "medium" or "high" or 2 more

The quality of the image generated. One of low, medium, high, xhigh, or max.

One of the following:
"low"
"medium"
"high"
"xhigh"
"max"
size: optional string or "1024x1024" or "1024x1536" or "1536x1024"

The image dimensions as a WIDTHxHEIGHT string, for example 1536x864.

One of the following:
string
"1024x1024" or "1024x1536" or "1536x1024"

The image dimensions as a WIDTHxHEIGHT string, for example 1536x864.

One of the following:
"1024x1024"
"1024x1536"
"1536x1024"
usage: optional object { input_tokens, input_tokens_details, output_tokens, 2 more }

For gpt-image-1 only, the token usage information for the image generation.

input_tokens: number

The number of tokens (images and text) in the input prompt.

input_tokens_details: object { image_tokens, text_tokens }

The input tokens detailed information for the image generation.

image_tokens: number

The number of image tokens in the input prompt.

text_tokens: number

The number of text tokens in the input prompt.

output_tokens: number

The number of output tokens generated by the model.

total_tokens: number

The total number of tokens (images and text) used for the image generation.

output_tokens_details: optional object { image_tokens, text_tokens }

The output token details for the image generation.

image_tokens: number

The number of image output tokens generated by the model.

text_tokens: number

The number of text output tokens generated by the model.

Create image

curl https://api.openai.com/v1/images/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -d '{
    "model": "gpt-image-2.5-flare",
    "prompt": "A cute baby sea otter",
    "n": 1,
    "size": "1024x1024"
  }'
{
  "created": 1713833628,
  "data": [
    {
      "b64_json": "..."
    }
  ],
  "usage": {
    "total_tokens": 100,
    "input_tokens": 50,
    "output_tokens": 50,
    "input_tokens_details": {
      "text_tokens": 10,
      "image_tokens": 40
    }
  }
}

Create image

curl https://api.openai.com/v1/images/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -d '{
    "model": "gpt-image-2.5-flare",
    "prompt": "A cute baby sea otter",
    "n": 1,
    "size": "1024x1024",
    "stream": true
  }' \
  --no-buffer
event: image_generation.partial_image
data: {"type":"image_generation.partial_image","b64_json":"...","partial_image_index":0}

event: image_generation.completed
data: {"type":"image_generation.completed","b64_json":"...","usage":{"total_tokens":100,"input_tokens":50,"output_tokens":50,"input_tokens_details":{"text_tokens":10,"image_tokens":40}}}
Returns Examples
{
  "created": 0,
  "background": "transparent",
  "data": [
    {
      "b64_json": "b64_json",
      "revised_prompt": "revised_prompt",
      "url": "https://example.com"
    }
  ],
  "output_format": "png",
  "quality": "low",
  "size": "1024x1024",
  "usage": {
    "input_tokens": 0,
    "input_tokens_details": {
      "image_tokens": 0,
      "text_tokens": 0
    },
    "output_tokens": 0,
    "total_tokens": 0,
    "output_tokens_details": {
      "image_tokens": 0,
      "text_tokens": 0
    }
  }
}